package me.yoqi.android.jkbd.base;

import android.os.Bundle;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

/**
 * @author liuyuqi.gov@msn.cn
 * @date 4/5/2022
 */
public abstract class BaseActivity extends AppCompatActivity {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(getLayout());
        init();
    }

    protected abstract void init();

    /**
     * 设置布局文件
     *
     * @return
     */
    abstract int getLayout();

}